YAE(1)

NAME
yae - Yet another Apple Emulator

SYNOPSIS
yae [-2|-e|-+] [disk-image] ...

DESCRIPTION
yae emulates the Apple II, II+, and //e 8-bit computers from Apple, Inc. Standard .dsk images are supported. If yae is run without any disk image arguments, /usr/share/yae/Master.dsk will be booted.

ROM image files are required; see FILES for details.

OSS audio is supported, using the /dev/audio device. For Linux systems using ALSA, OSS audio is provided by the snd_pcm_oss and snd_mixer_oss kernel modules. If /dev/audio can't be opened, the emulator will run with sound disabled.

OPTIONS

-2  Emulate the Apple II.

    Note that the emulator uses the same ROM image for II and II+, so the emulated II will have Applesoft and autostart (which the original II didn't ship with).

-+  Emulate the Apple II+.

-e  Emulate the Apple //e (the default).

KEYSTROKES

Backspace
    Alias for the left-arrow key.

Control+Delete
    Apple Reset key.

Left Alt
    The left (open) apple key on the //e keyboard.

Right Alt
    The right (closed) apple key on the //e keyboard.

F1  Change disks in the first drive (slot 6, drive 0). This will either read a filename on standard input (if kdialog can't be run), or display a kdialog file-selector. Either way, the emulator stops and its window becomes unresponsive until a file has been chosen.

F2  Exit the emulator immediately. No confirmation dialog, so be careful.

All other keystrokes are translated to their equivalent Apple II keystrokes, or ignored if there is no equivalent key on the Apple keyboard.

FILES

.yaerc, ~/.yaerc
    Config file. Searched for first in the current directory, then in user's home directory. For config file syntax, see /usr/share/yae/yaerc.sample.

ROM files
    For II and II+ emulation, the required ROM image is called APPLE2.ROM. For the //e, the image is APPLE2E.ROM. For all modes, DISK.ROM is required.

    ROM file locations can be set in the config file. By default, they're searched for in the current directory. If the ROMs can't be found in the configured location or the current directory, they will searched for in /usr/share/yae.

    If the required ROM files can't be found, the emulator will refuse to start.

SEE ALSO
kegs(1), dos33fsutils(1)

AUTHORS
yae was originally written by Doug Kwan, and includes enhancements by Warren Toomey. The version documented here also has some small bugfixes and enhancements by B. Watson.

This man page was written by B. Watson.